%define upstream_name    Padre-Plugin-Perl6
%define upstream_version 0.71

# find-requires extracts too much, cf https://qa.mandriva.com/show_bug.cgi?id=47678
# therefore, forcing explicit require skipping of Win32
%global __requires_exclude perl.Win32.

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Perl document syntax-checking in the background
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Grok)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Padre)
BuildRequires: perl(Perl6::Refactor)
BuildRequires: perl(Readonly)
BuildRequires: perl(Syntax::Highlight::Perl6)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(URI)

BuildArch: noarch


%description
This class implements syntax checking of Perl documents in the background.
It inherits from the Padre::Task::SyntaxChecker manpage. Please read its
documentation!

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Apr 02 2022 umeabot <umeabot> 0.710.0-10.mga9
+ Revision: 1840180
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.710.0-9.mga8
+ Revision: 1496302
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.710.0-8.mga7
+ Revision: 1270247
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.710.0-7.mga6
+ Revision: 1031620
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.710.0-6.mga6
+ Revision: 941952
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.710.0-5.mga5
+ Revision: 741821
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.710.0-3.mga4
+ Revision: 513875
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.710.0-2.mga3
+ Revision: 371447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.710.0-1.mga1
+ Revision: 38485
- mageia rebuild
- imported package perl-Padre-Plugin-Perl6

